import { marker as _ } from '@biesbjerg/ngx-translate-extract-marker';
import { DownloadFileType } from '@red/domain';

export const downloadTypesTranslations: { [key in DownloadFileType]: string } = {
    ORIGINAL: _('download-type.original'),
    PREVIEW: _('download-type.preview'),
    REDACTED: _('download-type.redacted'),
    ANNOTATED: _('download-type.annotated'),
    FLATTEN: _('download-type.flatten'),
    DELTA_PREVIEW: _('download-type.delta-preview'),
} as const;

export const downloadTypesForDownloadTranslations: { [key in DownloadFileType]: string } = {
    ORIGINAL: _('download-type.original'),
    PREVIEW: _('download-type.preview'),
    REDACTED: _('download-type.redacted-only'),
    ANNOTATED: _('download-type.annotated'),
    FLATTEN: _('download-type.flatten'),
    DELTA_PREVIEW: _('download-type.delta-preview'),
} as const;
